<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <%--Needed for JavaScript IntelliSense in VS2010--%>
            <%--For VS2008 replace RadScriptManager with ScriptManager--%>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
        </Scripts>
    </telerik:RadScriptManager>

    <script type="text/javascript">
		//Put your Java Script code here.
    </script>
    <telerik:RadInputManager ID="RadInputManager1" runat="server">
    <telerik:NumericTextBoxSetting Type="Currency" EmptyMessage="Freight" InitializeOnClient="true" Culture="English (United States)">
            <TargetControls>
                <telerik:TargetInput ControlID="RadGrid2" />
            </TargetControls>
        </telerik:NumericTextBoxSetting>
        <telerik:DateInputSetting EmptyMessage="Order date" Culture="English (United States)" InitializeOnClient="true"
            DateFormat="M/d/yyyy" DisplayDateFormat="M/d/yyyy">
            <TargetControls>
                <telerik:TargetInput ControlID="RadGrid1" />
            </TargetControls>
        </telerik:DateInputSetting>
        
        <telerik:TextBoxSetting EmptyMessage="Ship Address" InitializeOnClient="true">
            <TargetControls>
                <telerik:TargetInput ControlID="RadGrid3" />
            </TargetControls>
        </telerik:TextBoxSetting>
        <telerik:RegExpTextBoxSetting EmptyMessage="U.S. Phone Number" InitializeOnClient="true" ErrorMessage="Invalid U.S. Phone Number"
            ValidationExpression="((\(\d{3}\) ?)|(\d{3}-))?\d{3}-\d{4}">
            <TargetControls>
                <telerik:TargetInput ControlID="RadGrid4" />
            </TargetControls>
        </telerik:RegExpTextBoxSetting>
    </telerik:RadInputManager>
    <telerik:RadAjaxManager ID="RadAjaxManager2" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" LoadingPanelID="RadAjaxLoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="RadInputManager1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RadGrid2">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid2" LoadingPanelID="RadAjaxLoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="RadInputManager1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RadGrid3">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid3" LoadingPanelID="RadAjaxLoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="RadInputManager1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RadGrid4">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid4" LoadingPanelID="RadAjaxLoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="RadInputManager1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    <div class="module">
        <table border="0">
            <tr>
                <td style="padding: 30px">
                    DateInputSetting
                    <telerik:RadGrid DataSourceID="SqlDataSource4" ID="RadGrid1" runat="server" AutoGenerateColumns="False"
                        Width="300px">
                        <MasterTableView AllowAutomaticUpdates="true" Width="100%" DataKeyNames="OrderID"
                            EditMode="InPlace">
                            <Columns>
                                <telerik:GridEditCommandColumn ButtonType="ImageButton" />
                                <telerik:GridBoundColumn DataFormatString="{0:d}" UniqueName="OrderDate" HeaderText="OrderDate"
                                    DataField="OrderDate">
                                </telerik:GridBoundColumn>
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                     <asp:SqlDataSource ID="SqlDataSource4" runat="server" 
                        ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                        SelectCommand="SELECT TOP 3 * FROM [Orders]"></asp:SqlDataSource>
                   
                </td>
                <td style="padding: 30px">
                    NumericTextBoxSetting
                    <telerik:RadGrid DataSourceID="SqlDataSource3" ID="RadGrid2" runat="server" AutoGenerateColumns="False"
                        Width="300px">
                        <MasterTableView AllowAutomaticUpdates="true" Width="100%" DataKeyNames="OrderID"
                            EditMode="InPlace">
                            <Columns>
                                <telerik:GridEditCommandColumn ButtonType="ImageButton" />
                                <telerik:GridBoundColumn DataFormatString="{0:C}" UniqueName="Freight" HeaderText="Freight"
                                    DataField="Freight">
                                </telerik:GridBoundColumn>
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                    
                     <asp:SqlDataSource ID="SqlDataSource3" runat="server" 
                        ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                        SelectCommand="SELECT TOP 3 * FROM [Orders]"></asp:SqlDataSource>
                    
                </td>
            </tr>
            <tr>
                <td style="padding: 30px">
                    TextBoxSetting
                    <telerik:RadGrid DataSourceID="SqlDataSource2" ID="RadGrid3" runat="server" AutoGenerateColumns="False"
                        Width="300px">
                        <MasterTableView AllowAutomaticUpdates="true" Width="100%" DataKeyNames="OrderID"
                            EditMode="InPlace">
                            <Columns>
                                <telerik:GridEditCommandColumn ButtonType="ImageButton" />
                                <telerik:GridBoundColumn UniqueName="ShipAddress" HeaderText="ShipAddress" DataField="ShipAddress">
                                </telerik:GridBoundColumn>
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                    
                     <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
                        ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                        SelectCommand="SELECT TOP 3 * FROM [Orders]"></asp:SqlDataSource>
                    
                </td>
                <td style="padding: 30px">
                    RegExpTextBoxSetting
                    <telerik:RadGrid DataSourceID="SqlDataSource1" ID="RadGrid4" runat="server" AutoGenerateColumns="False"
                        Width="300px">
                        <MasterTableView DataKeyNames="OrderID" AllowAutomaticUpdates="true" Width="100%"
                            EditMode="InPlace">
                            <Columns>
                                <telerik:GridEditCommandColumn ButtonType="ImageButton" />
                                <telerik:GridBoundColumn UniqueName="Phone" HeaderText="Phone" DataField="Phone">
                                </telerik:GridBoundColumn>
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
                        ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
                        SelectCommand="SELECT TOP 3 * FROM [Orders]"></asp:SqlDataSource>
                   
                </td>
            </tr>
        </table>
    </div>
       
    </form>
</body>
</html>
